Summary: Japanese Code Conversion Library
Name: libjconv
Version: 2.8.1
Release: 2mdk
License: GPL
Group: System/Libraries
Source: %{name}-%{version}.tar.bz2
Requires: glibc >= 2.1.0
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix} 

%description
This package provide Japanese Code Conversion capability based on iconv.

%prep
%setup -q

%build
make

%install
mkdir -p $RPM_BUILD_ROOT/usr/{lib,include,bin}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/libjconv
install -m 755 libjconv.so $RPM_BUILD_ROOT%{_libdir}
install -m 644 libjconv.a $RPM_BUILD_ROOT%{_libdir}
install -m 755 jconv $RPM_BUILD_ROOT%{_bindir}
install -m 644 jconv.h $RPM_BUILD_ROOT%{_includedir}
install -m 644 default.conf $RPM_BUILD_ROOT/etc/libjconv

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc README COPYING
%{_libdir}/libjconv.so
%{_libdir}/libjconv.a
%{_bindir}/jconv
%{_includedir}/jconv.h
%dir %{_sysconfdir}/libjconv
%config(noreplace) %{_sysconfdir}/libjconv/*

%changelog
* Thu Jun 12 2003 Marcel Pol <mpol@gmx.net> 2.8.1-2mdk
- rebuild for rpm 4.2

* Sat Nov 17 2001 DU Xiaoming <dxiaoming@mandrakesoft.com> 2.8.1-1mdk
- First version for Mandrake Linux
